#!/usr/bin/perl -w
# $Id: Config.pm,v 1.14 2000/09/07 21:31:28 jmayer Exp $


package Sauce::Config;

sub VERSION { 
	my $id = q$Revision: 1.14 $;
  my ($vernum) = ($id =~ m/([\d\.]+)/);
  return $vernum;
}

# configurable parameters
sub WWW_group_id { 11; }
sub groupdir_owner { return 'admin'; }
sub homedir_base { '/home/users'; }
sub groupdir_base { '/home/groups'; }
sub default_shell { '/bin/usersh'; }

# directories where I expect to find certain utilities
sub bin_useradd { '/usr/sbin/useradd'; }
sub bin_usermod { '/usr/sbin/usermod'; }
sub bin_userdel { '/usr/sbin/userdel'; }
sub bin_htpasswd { '/usr/bin/htpasswd'; }
sub bin_sendmail { '/usr/sbin/sendmail'; }

# permissions
sub perm_UserBaseDir { 0755; }
sub perm_UserDir { 02751; }
sub perm_GroupDir { 02775; }
sub perm_UserPrivDir { 02700; }

# Global file locations. NOT for location used in only one handler or module.

sub dir_Cron_basedir { return "/etc/cron."; }
sub dir_Cron_intervals { return ('quarter-hourly','half-hourly','hourly','quarter-daily','daily','weekly','monthly','never'); }

# okay
1;
